#ifndef TMHistogrammingFastorMissingAll_H
#define TMHistogrammingFastorMissingAll_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingFastorMissingAll : public TMHistogramming {
 public:
  TMHistogrammingFastorMissingAll();
  virtual ~TMHistogrammingFastorMissingAll();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void ResetHitChip();
  virtual void ResetCounters();

  virtual ULong_t GetTotalExpected(){return fTotalExpected;}
  virtual ULong_t GetTotalActual(){return fTotalActual;}

 protected:
  ULong_t fTotalExpected;
  ULong_t fTotalActual;

  ULong_t fExpected[20];
  ULong_t fActual[20];

  Bool_t  fHitChip[20][6][10];
  TH1F    *fTheHisto;

};

#endif
